@font-face {
    font-family: "unscii8";
    src: url(unscii-8.otf) format("opentype");
}

@font-face {
    font-family: "cmodbonus";
    src: url(cmod_bonus.otf) format("opentype");
}

@font-face {
    font-family: "ministrzalki";
    src: url(MiniStrzalki.ttf) format("truetype");
}

* {
    margin: 0;
    padding: 0;
    font-size: 100%;
    vertical-align: baseline;
    outline: none;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    border-radius: none;
    font-family: 'unscii8', monospace;
}

body {
    font-family: 'unscii8', monospace;
    font-size: 0.6em;
    color: green;
}


/* NAV STUFF */
#fixed-nav {
    width: 315px;
    display: flex;
    /* flex/none */
    flex-flow: column nowrap;
    position: fixed;
    top: 0;
    left: 0;
    background-color: #282828;
    z-index: 9999999999;
    height: 100vh;
    overflow: scroll;
}

.category {
    display: flex;
    flex-flow: column nowrap;
}

.heading {
    font-weight: bold;
    font-size: 1.2em;
    background-color: #000000;
    padding: 5px 0;
    text-align: center;
    border-top: 2px solid green;
    border-bottom: 2px solid green;
}

.subheading {
    width: 100%;
    padding: 5px 0;
    margin: 0 5px;
    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    align-items: center;
    justify-content: space-between;
    position: relative;
}

.subheading-group {
    display: flex;
    flex-flow: column nowrap;
    cursor: pointer;
    position: relative;
}

.nav_item {
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    margin: 0 5px;
}

.nav_caret {
    font-size: 1em;
    transform: rotate(0deg);
    margin-left: auto;
    transition: transform 0.3s ease;
}

.nav_caret.rotated {
    transform: rotate(-180deg);
}

.button-group {
    display: flex;
    align-items: center;
    margin: 0 5px;
}

.canvas-button {
    width: 30px;
    height: 30px;
    font-size: 1.5em;
    background-color: #444;
    border: none;
    padding: 3px 3px;
    margin-right: 10px;
    cursor: pointer;
    color: green;
    border: 2px solid black;
    border-style: outset;
}

.canvas-button img {
    width: 100%;
    height: 100%;
}

.input_button {
    font-size: 1em;
    background-color: #444;
    border: none;
    padding: 5px 5px;
    margin-right: 10px;
    cursor: pointer;
    color: green;
    border: 2px solid black;
    border-style: outset;
}

.canvas-button:hover,
.input_button:hover {
    /* background-color: #555; */
    background-color: rgb(57, 57, 57);
}

.canvas-button:active:hover,
.input_button:active:hover {
    outline: none !important;
    border: 2px solid black;
    border-style: inset;
}

#save-button {
    font-family: 'cmodbonus', monospace;
}

#fullscreen-button,
#undo-button,
#redo-button {
    font-family: 'unscii8', monospace;
}

input[type=file] {
    display: none;
}

#drop-zone {
    width: 300px;
    height: 100px;
    border: 2px dashed #ccc;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #666;
}

.file_upload {
    font-size: 1em;
    background-color: #444;
    border: none;
    padding: 5px 5px;
    margin-right: 10px;
    cursor: pointer;
    color: green;
    border: 2px solid black;
    border-style: outset;
    margin: 5px 0;
}

#add_image_url {
    margin-right: 10px;
}

#add_image_button {
    font-size: 1em;
    background-color: #444;
    border: none;
    padding: 5px 5px;
    margin-right: 10px;
    cursor: pointer;
    color: green;
    border: 2px solid black;
    border-style: outset;
    margin: 5px 0;
}

.filter_button,
.add_canvas_button {
    font-size: 1em;
    background-color: #444;
    border: none;
    padding: 5px 5px;
    margin-right: 10px;
    cursor: pointer;
    color: green;
    border: 2px solid black;
    border-style: outset;
    margin: 5px 0;
}



input[type="checkbox"],
input[type="radio"] {
    -webkit-appearance: none;
    appearance: none;
    background-color: black;
    /* margin-right: 2px; */
    margin: 0 5px 0 0;

    font: inherit;
    color: green;
    width: 16px;
    height: 16px;
    border: 1px solid green;

    display: grid;
    place-content: center;
}

input[type="checkbox"]:hover,
input[type="radio"]:hover {
    background-color: rgb(45, 45, 45);
}

input[type="checkbox"]::before,
input[type="radio"]::before {
    content: “ ”;
    transform-origin: bottom left;
}

input[type="checkbox"]:checked::before,
input[type="radio"]:checked::before {
    content: "X";
}




.dropdown {
    display: block;
    left: 15px;
    top: 100%;
    background-color: #333;
    padding: 10px;
    margin: 0 10px;
    z-index: 100;
    width: 305px;
    background: #3f3f3f;
}

.hidden {
    display: none;
}

.subheading-group.active .dropdown {
    display: block;
}

#fixed-nav .subheading-group {
    margin-bottom: 0;
}

.paint_controls_section {
    display: flex;
    flex-flow: column nowrap;
    margin: 10px 2px;
}

.hidden_radio input[type="radio"] {
    display: none;
}

.hidden_radio input[type="radio"]:checked+label {
    border: 2px solid green;
}

.blend_radios label,
.canvas_blend_radios label {
    padding: 5px 0;
}

.controls {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    justify-content: flex-start;
    align-content: flex-start;
}

.controller_box {
    border: 1px solid black;
    width: 20px;
    height: 20px;
}

.color_box {
    border: 1px solid black;
    width: 20px;
    height: 20px;
}

hr {
    border: 1px solid green;
    margin-top: 10px;
    margin-bottom: 15px;
    width: 100%;
}




input[type=text] {
    font-family: 'unscii8', monospace;
    font-size: 0.9em;
    min-width: 100px;
    height: 22px;
    background-color: black;
    color: green;
    border: 1px solid green;
}






input[type=number] {
    font-family: 'unscii8', monospace;
    font-size: 0.9em;
    min-width: 100px;
    height: 22px;
    background-color: black;
    appearance: none;
    -webkit-appearance: none;
    color: green;
    border: 1px solid green;
}

.number_input_container,
.range_input_container {
    position: relative;
    /* border: 1px solid green; */
    height: 24px;
    display: flex;
    flex-flow: row nowrap;
    /* justify-content: center; */
    align-items: center;
    align-content: center;
}

.range_input_container {
    width: 180px;
}

input[type=range] {
    width: 170px;
}

.number_input_container {
    width: 100px;
}

.slider {
    width: 150px;
    height: 22px;
    border: 1px solid green;
    /* background-color: transparent; */
    background-color: rgba(0, 0, 0, 0.7);
    appearance: none;
    -webkit-appearance: none;
}

.slider:focus {
    outline: none;
}

.slider::-webkit-slider-runnable-track {
    height: 18px;
    -webkit-appearance: none;
    cursor: pointer;
}

.slider::-webkit-slider-thumb {
    width: 10px;
    height: 18px;
    background: #00a437;
    cursor: pointer;
    -webkit-appearance: none;
}

.arrows_container {
    position: absolute;
    font-size: 0.7em;
    top: 1px;
    right: 0;
    /* width: 16px;
    height: 16px; */
    right: 0;
    display: flex;
    flex-flow: column nowrap;
    align-content: center;
    align-items: center;
    justify-content: center;
    padding: 0;
    margin: 0;
}

.arrow_box {
    text-align: center;
    flex-flow: column nowrap;
    align-content: center;
    align-items: center;
    justify-content: center;
    width: 18px;
    height: 11px;
    border: 1px solid green;
    padding: 0;
    margin: 0;
    cursor: pointer;
}

.arrow_down {
    border-top: 0;
}

/* Hide arrows by default */
.arrows_container {
    display: none;
    position: absolute;
    /* Position arrows near input */
    margin-left: 10px;
    /* Adjust as needed for positioning */
}

/* Show arrows when input is focused or hovered */
input[type="number"]:hover+.arrows_container,
input[type="number"]:focus+.arrows_container,
.arrows_container:hover {
    display: block;
}

.arrow_up:hover,
.arrow_down:hover {
    display: block;
    color: limegreen;
}

.arrow_up:active,
.arrow_down:active {
    color: green;
}

.arrow_up:after {
    font-size: 0.8em;
    content: '▲';
    width: 0;
    height: 0;
    pointer-events: none;
    z-index: 2;
}

.arrow_down:after {
    font-size: 0.8em;
    content: '▼';
    width: 0;
    height: 0;
    pointer-events: none;
    z-index: 2;
}

input[type=text]:focus,
input[type=number]:focus,
textarea {
    outline: none;
    color: limegreen;
    border: 1px solid darkgreen;
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    appearance: textfield;
    -moz-appearance: textfield;
}





#image_brush_controls {
    max-height: 230px;
    overflow: scroll;
}




/* CANVAS STUFF */
#canvas_container {
    position: absolute;
    top: 0;
    left: 315px;
}

#preview_canvas {
    cursor: crosshair;
    z-index: 99999999;
    position: absolute;
    top: 0;
    left: 0px;
    border: 1px solid grey;
}

.drawing_canvas {
    position: absolute;
    top: 0;
    left: 0px;
    border: 1px solid grey;
}

.tab_preview {
    position: static;
    border: 1px solid black;
    margin-right: 10px;
}

#canvas_organiser {
    display: flex;
    flex-direction: column;
    gap: 5px;
    /* margin: 10px 0; */
    width: 100%;
}

.canvas_tab {
    cursor: pointer;
    display: flex;
    flex-direction: row;
    align-items: center;
    font-size: 1em;
    background-color: #444;
    border: none;
    padding: 2px 5px;
    cursor: pointer;
    color: green;
    border: 2px solid black;
    border-style: outset;
}

.canvas_tab .handle {
    cursor: grab;
    margin: 0 4px;
    font-size: 1.6em;
}

.canvas_tab .view {
    cursor: pointer;
    margin: 0 4px;
    font-size: 1.4em;
}

.canvas_tab .undo,
.canvas_tab .redo {
    margin: 0 4px;
    font-size: 1.6em;
}

.canvas_tab .delete {
    margin-left: auto;
    cursor: pointer;
    font-weight: bold;
    font-size: 1.4em;
}

.canvas_tab.active {
    background-color: #4caf50;
    color: white;
}

#clear_canvas_button {
    font-size: 1em;
    background-color: #444;
    border: none;
    padding: 5px 5px;
    margin-right: 10px;
    cursor: pointer;
    color: green;
    border: 2px solid black;
    border-style: outset;
    margin: 5px 0;
}

.color_picker_container {
    display: flex;
    flex-flow: row nowrap;
    margin: 0;
    padding: 0;
    align-items: center;
}

.color_picker {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-color: transparent;
    width: 200px;
    height: 32px;
    border: none;
    cursor: pointer;
    margin: 0;
    padding: 0;
}

.color_picker::-webkit-color-swatch {
    border: 1px solid #000000;
    margin: 0;
    padding: 0;
}

.color_picker::-moz-color-swatch {
    border: 1px solid #000000;
    margin: 0;
    padding: 0;
}

input.clear_color_selector {
    background-color: black;
    /* margin-right: 2px; */
    margin: 0 5px 0 0;

    font: inherit;
    color: red;
    width: 24px;
    height: 24px;
    border: 1px solid green;

    display: grid;
    place-content: center;
    font-size: 2.2em;
}

input.clear_color_selector:hover {
    background-color: rgb(45, 45, 45);
}

input.clear_color_selector::after {
    content: "/";
}

input.clear_color_selector:checked::before {
    content: " ";
}

input.clear_color_selector:checked {
    border: 2px solid green;
}